Name:		obmenu
Version:	1.0
Release:	%mkrel 1
Summary:	A graphical menu editor for Openbox
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		http://obmenu.sourceforge.net/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-copy-default-xdg-menu.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
Requires:	pygtk2.0-libglade

%description
obmenu is a graphical menu editor for the Openbox window manager. Openbox uses
XML to store its menu preferences, and editing these by hand can quickly become
tedious; and even moreso when generating an entire menu for oneself! However,
this utility provides a convenient method of editing the menu in a graphical
interface, while not losing the powerful features of Openbox such as its
pipe menus.

This also provides a Python module named obxml that can be used to further
script Openbox's menu system.

%prep
%setup -q
%patch0 -p0

%build
%py2_build

%install
%py2_install

chmod +x %{buildroot}%{python_sitelib}/obxml.py

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=obmenu
Icon=/usr/share/obmenu/mnu48.png
Comment=Graphical Openbox menu editor
GenericName=Openbox menu editor
Exec=obmenu
TryExec=%{_bindir}/obmenu
Terminal=false
Type=Application
Categories=Settings;GTK;DesktopSettings;
EOF

%files
%doc README
%{_bindir}/%{name}
%{_bindir}/obm-*
%{_datadir}/%{name}/
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{python_sitelib}/obxml.py*
%{python_sitelib}/*.egg-info


%changelog
* Tue Mar 07 2017 wally <wally> 1.0-1.mga6
+ Revision: 1089432
- import obmenu (based on .spec from Fedora)

